WCAT(1)

NAME
wcat - printout wtmp entries

SYNOPSIS
wcat [-w wtmp|-] [-adX[3|4]] [-s start] [-e end] [-b H[:M[:S]]] [--help] [--version]

SYNOPSIS

Wcat provides an easy way to recover trimmed information from wtmp binary files. This tool can be useful for scripts that need only partial information from them.

Notice that wcat output is binary wtmp entries so if this information is printed out to a terminal or screen it might mess it up. A better use of wcat would be: wcat | rawtmp -w -

OPTIONS

-w wtmp|-
    Read alternate wtmp file.

-X[3]
    Read tacacs 3.x wtmp format.

-X4 Read tacacs 4.0 wtmp format.

-d  Output time in MMM DD HH:MM:SS date format.

-a  Print contents of ut_addr (if it exists) instead of ut_host.

-s start
    Display accounting info from `start'.

-e end
    Display accounting info up to `end'.

-b H:M:S
    Show accounting info from the last few hours/minutes/seconds.

--help
    Print this help message.

--version
    Print the version of rawtmp.

SEE ALSO
sac(8), ac(1), last(1), rawtmp(1), wtmp(5), netdate(8L)

FILES
/var/log/wtmp login database
/usr/adm/radacct/.../detail Radius accounting logs

AUTHOR

The upstream author of wcat is Steve Baker (ice@mama.indstate.edu)

This manpage was written by Javier Fernandez-Sanguino based on help2man for the Debian GNU/Linux distribution (but can be used by others).